//	        www.technologicalarts.ca

#include <hidef.h>      /* common defines and macros */
#include <mc9s12dp512.h>     /* derivative information */



//***************************************************
void SCI_initialization(void)
//***************************************************
{
	SCI1BDL=156; 	   // set baud rate to 9600 bps
	SCI1BDH=0x00;	  // 24MHz/(16*156)= APPROX 9600 bps
	
	SCI1CR2=0x2C;   // Enable Receiver Full Interrupt Enable
					        // Enable Transmitter
					        // Enable Receiver
}

// Transmit Data Subroutine
void OutSCI(unsigned char Data)	// Send data on serial port
{
while ((SCI1SR1 & 0x80) == 0); 	// Check for Transmitter flag Empty
SCI1DRL=Data;				            // Send data to serial port
}


